Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002467TestLinkNew Featurepublic2009-05-04 12:012010-09-10 20:11
Reportersaimadhu 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.1 
Fixed in Version1.8.5 (bug fixing) 
Summary0002467: Test sheet prepared for manual testing NEEDS to be reusable for Automated Testing.
Description
Hi,

I have installed and gone thru Test link. I think the test cases are written and managed for manual testing.
And reusability of these test cases for automation needs to be done, which is a major feature to accelerate the quality releases in time.

Example: For each test case, there are 4 columns:
TestCaseName, Summary, Steps, Expected Result.

In the examples given in the documentation all these 4 columns shows description. Which implies this is only for manual testing. Engineer has to read it and understand the test then decide inputs and match with expected values. Please let me know if i am missing any thing in understanding.


For reusability in automation:
As we understand, each Test Case contain multiple Test Steps.
If we mention an wrapper interface (example: createUser) in test step and there is an new column 'Inputs' for each test step. Then it is easy to automate the test sheet (by writing wrapper for each teststep) to accelerate the quality releases in time.

Also, With the documentation from installation, there is no info on how to execute & report the tests? Is it manual?

Please mail to madhusudan.ganda@gmail.com, g_madhusudan@yahoo.com for discussion.



TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0006731)
saimadhu (reporter)
2009-05-04 14:48

In Test Case creation, there is no facility to provide input for each Test Step.

Example:
Test Case Name: Create User & Credential
Step1: createUser; Inputs: username=madhu, org=testlinkorg; Expected Ouput: Message = Create user is success, Transaction ID = not null.

Step2: createPassword; Inputs: username=madhu, passsword=temp1234; Expected Ouput: Create Password for the user is success, Transaction ID = not null

I want to specify the test case as in above example. This helps the manual tester to know what inputs are executed previously. Also in automation we can write wrapper for each interface mentioned (example: createUser) mentioned in each test step.
(0006734)
fman (administrator)
2009-05-04 17:43
edited on: 2009-05-04 17:44

You specify inputs on steps text area, that's the way is works now.
Other choice: explore Custom Fields Feature

Important thing: do not report multiple issues on a Mantis issue, because it does not allow clear follow up

(0006739)
saimadhu (reporter)
2009-05-04 21:12

I went thru custom fields feature, it looks fine.

But how to add multiple test steps in one test case ?
(0006746)
fman (administrator)
2009-05-05 14:33

right now no way.
There is already an issue and will be implemented in future

- Issue History
Date Modified Username Field Change
2009-05-04 12:01 saimadhu New Issue
2009-05-04 14:48 saimadhu Note Added: 0006731
2009-05-04 17:43 fman Note Added: 0006734
2009-05-04 17:44 fman Note Edited: 0006734
2009-05-04 21:12 saimadhu Note Added: 0006739
2009-05-05 14:33 fman Note Added: 0006746
2010-09-10 20:11 fman Status new => closed
2010-09-10 20:11 fman Assigned To => fman
2010-09-10 20:11 fman Resolution open => fixed
2010-09-10 20:11 fman Fixed in Version => 1.8.5 (bug fixing)



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker